/*  Copyright (C) 2008--2009 Joshua Judson Rosen <rozzin@geekspace.com>.

    This program is free software: you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    version 3 as published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; see the file COPYING. If not, see
    <http://www.gnu.org/licenses/> or write to:

        The Free Software Foundation, inc.
        51 Franklin Street, Fifth Floor
        Boston, MA 02110-1301
        USA
*/

#ifndef VISUALID_PATHS_H
#define VISUALID_PATHS_H

extern const char *VISUALID_CACHEDIR_BASE;
extern const char *VISUALID_DATADIR;

const char *visualid_cachedir (void);
void visualid_set_cachedir (const char *dir_path);

char *visualid_path_for_file (const char *file_path);
char * visualid_base_for_file (const char *file_path, double *score_out);

#endif
